<?php
/**
 * @package    Xiroweb Insert Html Code
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */

use Joomla\CMS\Factory;
use Xiroweb\Module\Xirowebinserthtml\Site\Helper\XirowebinserthtmlHelper;


defined('_JEXEC') or die;

$attribs['style'] = 'none';

$module_id = 'htmlid-' . $module->id;

if (!empty($params->get('csscode',''))) {
    if ($params->def('cssinside', 0)) {
        $csscode = '#' . $module_id . '{';
        $csscode .= $params->get('csscode');
        $csscode .= '}';
    } else {
        $csscode = $params->get('csscode');
    }

    $wa = Factory::getDocument()->getWebAssetManager();
    $wa->addInlineStyle(XirowebinserthtmlHelper::convertCss($csscode));
}

$htmlcode = $params->get('htmlcode');
if ($htmlcode !== '') {
    if ($params->def('cssinside', 0)) {
        echo '<div id="' . $module_id . '">';
        echo $htmlcode;
        echo '</div>';
    } else {
        echo $htmlcode;
    }
}